#!/usr/bin/ruby -w
# See the LICENSE file for copyright and distribution information

require "mkmf"

$LIBPATH.push(Config::CONFIG['libdir'])

def crash(str)
  print " extconf failure: #{str}\n"
  exit 1
end


xConfigCmd = find_executable( "dot" )

unless xConfigCmd
  crash(<<EOL)
need GraphViz

		Install GraphViz
EOL
end

create_makefile("graphviz")

print "************************************************\n"
print "**                                            **\n"
print "** UNINSTALL Ruby/GraphViz 0.1.0 IF INSTALLED **\n"
print "**                                            **\n"
print "************************************************\n"
print "Now type 'make install'...\n"
