#!/usr/bin/ruby

$:.unshift( "../lib" );
require "graphviz"

g = GraphViz::new( "G", "output" => "png" )
g["rankdir"] = "LR"
g.node["shape"] = "ellipse"
g.edge["arrowhead"] = "normal"

[ "normal", "dot", "odot", "inv", "invdot", "invodot", "none" ].each { |s|
  p = "p_" << s
  g.add_node( p, "shape" => "point" )
  g.add_node( s )
  g.add_edge( p, s, "arrowhead" => s )
}

g.output()
