#!/usr/bin/ruby

$:.unshift( "../lib" );
require "graphviz"

g = GraphViz::new( "G", "output" => "png" )
g.node["shape"] = "ellipse"

[ "box", "polygon", "ellipse", "circle", "point", 
  "egg", "triangle", "plaintext", "diamond", "trapezium", 
  "parallelogram", "house", "hexagon", "octagon", "doublecircle", 
  "doubleoctagon", "tripleoctagon", "invtriangle", "invtrapezium", "invhouse", 
  "Mdiamond", "Msquare", "Mcircle" ].each { |s|
  g.add_node( s, "shape" => s )
}

g.output()
