# Copyright (C) 2004 Gregoire Lejeune <gregoire.lejeune@free.fr>
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA

class GraphViz
  class Attrs
    @data
    @name
    @attributs
    
    attr_accessor :data

    def initialize( name, attributs )
      @name      = name
      @attributs = attributs
      @data      = Hash::new( )
    end

    def []( xKey )
      if @data.key?( xKey ) == false
        nil
      end
      @data[xKey]
    end

    def []=( xKey, xValue )
      if @attributs.index( xKey ).nil? == true
        raise ArgumentError, "#{@name} attribut '#{xKey}' invalid"
      end
      @data[xKey] = xValue
    end
  end
end
