# Copyright (C) 2004 Gregoire Lejeune <gregoire.lejeune@free.fr>
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA

module Constants
  ## Const: Output formats
  FORMATS = [
    "dot", 
    "ps", 
    "mif", 
    "hpgl", 
    "pcl", 
    "gif", 
    "imap", 
    "ismap", 
    "cmap", 
    "jpeg", 
    "png", 
    "xpm", 
    "pic", 
    "gd", 
    "gd2", 
    "wbmp", 
    "vrml", 
    "vtx", 
    "mp", 
    "fig", 
    "svg", 
    "plain", 
    "text", 
    "canon"
  ]

  ## Const: Graph attributs
  GRAPHSATTRS = [
    "bgcolor",
    "center",
    "clusterrank",
    "color",
    "comment",
    "compound",
    "concentrate",
    "fillcolor",
    "fontcolor",
    "fontname",
    "fontpath",
    "fontsize",
    "label",
    "labeljust",
    "labelloc",
    "layer",
    "margin",
    "mclimit",
    "nodesep",
    "nslimit",
    "nslimit1",
    "ordering",
    "orientation",
    "page",
    "pagedir",
    "quantum",
    "rank",
    "rankdir",
    "ranksep",
    "ratio",
    "remincross",
    "rotate",
    "samplepoints",
    "searchsize",
    "size",
    "style",
    "URL"
  ]

  ## Const: Node attributs
  NODESATTRS = [
    "bottomlabel",
    "color",
    "comment",
    "distortion",
    "fillcolor",
    "fixedsize",
    "fontcolor",
    "fontname",
    "fontsize",
    "group",
    "height",
    "label",
    "layer",
    "orientation",
    "peripheries",
    "regular",
    "shape",
    "shapefile",
    "sides",
    "skew",
    "style",
    "toplabel",
    "URL",
    "width",
    "z"
  ]

  ## Const: Edge attributs
  EDGESATTRS = [
    "arrowhead",
    "arrowsize",
    "arrowtail",
    "color",
    "constraint",
    "decorate",
    "dir",
    "fontcolor",
    "fontname",
    "fontsize",
    "headlabel",
    "headport",
    "hearURL",
    "label",
    "labelangle",
    "labeldistance",
    "labelfloat",
    "labelfontcolor",
    "labelfontname",
    "labelfontsize",
    "layer",
    "lhead",
    "ltail",
    "minlen",
    "samehead",
    "sametail",
    "style",
    "taillael",
    "tailport",
    "tailURL",
    "weight"
  ]
end
